package ru.yandex.autodoc.common.doc.view.common;

import ru.yandex.autodoc.common.doc.view.Markup;

import java.util.Collections;
import java.util.Map;

/**
 * @author avhaliullin
 */
public interface Renderer {
    String contentType();

    String render(Markup markup, Map<String, String> params);

    default String render(Markup markup) {
        return render(markup, Collections.<String, String>emptyMap());
    }
}
